Bug 1121478 (CVE-2014-1556) - CVE-2014-1556 Mozilla: Exploitable WebGL crash with Cesium JavaScript library (MFSA 2014-62)
Summary: CVE-2014-1556 Mozilla: Exploitable WebGL crash with Cesium JavaScript library...
Keywords:
Status: CLOSED ERRATA
Alias: CVE-2014-1556
Product: Security Response
Classification: Other
Component: vulnerability
Version: unspecified
Hardware: All
OS: Linux
urgent
urgent
Target Milestone: ---
Assignee: Red Hat Product Security
QA Contact:
URL:
Whiteboard: impact=critical,public=20140722,repor...
Depends On:
Blocks: 1118216
TreeView+ depends on / blocked
 
Reported: 2014-07-21 05:01 UTC by Huzaifa S. Sidhpurwala
Modified: 2019-06-08 20:07 UTC (History)
3 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2014-07-22 23:06:41 UTC


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Red Hat Product Errata RHSA-2014:0918 normal SHIPPED_LIVE Important: thunderbird security update 2014-07-22 22:20:22 UTC
Red Hat Product Errata RHSA-2014:0919 normal SHIPPED_LIVE Critical: firefox security update 2014-07-23 02:32:37 UTC

Description Huzaifa S. Sidhpurwala 2014-07-21 05:01:25 UTC
Developer Patrick Cozzi reported a crash in some circumstances when using the Cesium JavaScript library to generate WebGL content. Mozilla developers determined that this crash is potentially exploitable.

In general this flaw cannot be exploited through email in the Thunderbird product because scripting is disabled, but is potentially a risk in browser or browser-like contexts.


External Reference:

http://www.mozilla.org/security/announce/2014/mfsa2014-62.html


Acknowledgements:

Red Hat would like to thank the Mozilla project for reporting this issue. Upstream acknowledges Patrick Cozzi as the original reporter.

Comment 1 errata-xmlrpc 2014-07-22 18:21:15 UTC
This issue has been addressed in following products:

  Red Hat Enterprise Linux 5
  Red Hat Enterprise Linux 6

Via RHSA-2014:0918 https://rhn.redhat.com/errata/RHSA-2014-0918.html

Comment 2 errata-xmlrpc 2014-07-22 22:33:16 UTC
This issue has been addressed in following products:

  Red Hat Enterprise Linux 6
  Red Hat Enterprise Linux 7
  Red Hat Enterprise Linux 5

Via RHSA-2014:0919 https://rhn.redhat.com/errata/RHSA-2014-0919.html


Note You need to log in before you can comment on or make changes to this bug.